# class HTMLPreElement

###

Module | khtml
Namespace | DOM
Class | HTMLPreElement
Inherits | DOM::HTMLElement

Preformatted text. See the PRE element definition in HTML 4.0.

### methods

- HTMLPreElement ( )

  returns ctor

- HTMLPreElement (other)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  other | DOM.HTMLPreElement |

- HTMLPreElement (other)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  other | DOM.Node |

- HTMLPreElement (impl)

  returns ctor
  Not implemented

  Argument | Type | Default
  --- | --- | ---
  impl | HTMLPreElementImpl |

- setWidth (a0)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  a0 | long |

  see width

- width ( )

  returns long

  Fixed width for content. See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.